From 0383b1bf508a417216475c72370f9d64916db0d2 Mon Sep 17 00:00:00 2001
From: Serge Hallyn <serge.hallyn@canonical.com>
Date: Thu, 6 Oct 2011 16:45:07 +0000
Subject: [PATCH 3/4] define NETCF_TRANSACTION for debian/ubuntu

Signed-off-by: Serge Hallyn <serge.hallyn@canonical.com>
---
 configure.ac |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

Index: netcf-0.1.9/configure.ac
===================================================================
--- netcf-0.1.9.orig/configure.ac	2011-10-21 11:57:35.000000000 -0500
+++ netcf-0.1.9/configure.ac	2011-10-21 11:57:41.000000000 -0500
@@ -97,6 +97,11 @@
                        ["$sysconfdir/rc.d/init.d/netcf-transaction"],
                        [Location of the netcf-transaction shell script])
 fi
+if test "x$with_driver" = "xdebian"; then
+    AC_DEFINE_UNQUOTED([NETCF_TRANSACTION],
+                       ["$sysconfdir/init.d/netcf-transaction"],
+                       [Location of the netcf-transaction shell script])
+fi
 AM_CONDITIONAL([NETCF_INIT_SCRIPT_RED_HAT],
                [test x$with_driver = xredhat])
 
Index: netcf-0.1.9/src/drv_debian.c
===================================================================
--- netcf-0.1.9.orig/src/drv_debian.c	2011-10-07 08:56:16.000000000 -0500
+++ netcf-0.1.9/src/drv_debian.c	2011-10-25 16:28:31.130570271 -0500
@@ -48,6 +48,8 @@
 
 #include <libexslt/exslt.h>
 
+#define NETCF_TRANSACTION "/etc/init.d/netcf-transaction"
+
 static const char *const network_interfaces_path =
     "/files/etc/network/interfaces";
 
